Package org.apache.sling.scripting.api

# Interface BindingsValuesProvidersByContext

public interface BindingsValuesProvidersByContext
Provides `BindingsValuesProvider` for specific contexts, based on their "context" service property.

## Method Summary

Modifier and Type
Method
Description
`Collection<BindingsValuesProvider>`
`getBindingsValuesProviders(ScriptEngineFactory scriptEngineFactory, String context)`
Retrieve the current `BindingsValuesProvider` for the supplied ScriptEngineFactory and context.

## Method Details

### getBindingsValuesProviders

Collection<BindingsValuesProvider> getBindingsValuesProviders(ScriptEngineFactory scriptEngineFactory, String context)
Retrieve the current `BindingsValuesProvider` for the supplied ScriptEngineFactory and context.

Parameters:
  `scriptEngineFactory` - metadata of the ScriptEngine that's being used
  `context` - Only BindingsValuesProviders that have this value in their CONTEXT service property are considered. For backwards compatibility, BindingsValuesProviders which do not have a CONTEXT service property are considered to have CONTEXT=request.
Returns:
  The returned Collection of BindingsValuesProvider is sorted so as to give preference to more specific BindingsValuesProvider over those that match a compatible.javax.script.name ScriptEngineFactory property, for example, in the same way that the SlingScriptAdapterFactory did before this service was implemented.